///home/berryj/link/bin/instantiate "-t" "Testobj* " "-c" "ElementOps" "-II" "LINK/basic/ElementOps.h" "-d" "userobj" "-I" "LINK/userobj/Testobj.h" 

#define DEFINE_ElementOps_TEMPLATE

#include <LINK/basic/ElementOps.h>


#undef DEFINE_ElementOps_TEMPLATE


#include <LINK/userobj/Testobj.h>


typedef Testobj*  _Testobjp;
typedef ElementOps<Testobj*  > _ElementOps_Testobjp_;


//*********************************************************************
int ElementOps<_Testobjp>::compareItems(const _Testobjp& e1, const _Testobjp& e2); 
ostream& ElementOps<_Testobjp>::displayItem(ostream& os, const _Testobjp& e);

template class ElementOps<Testobj*  >;



//*********************************************************************
int ElementOps<_Testobjp>::compareItems(const _Testobjp& e1, const _Testobjp& e2) 
{
	if (e1 && e2)  {
		if (*e1 == *e2)
			return 0;
		else
			return (*e1<*e2)? -1 : 1;
	} else {
		if (e1 == e2)
			return 0;
		else
			return (e1<e2)? -1 : 1;
	}
}

ostream& ElementOps<_Testobjp>::displayItem(ostream& os, const _Testobjp& e)
{
	if (e)
		os << *e;
	else
		os << e;
	return os;
}
//*********************************************************************


